% Copyright (c) Camden Dixie O'Brien
% SPDX-License-Identifier: AGPL-3.0-only

-module(study_system_server_app).
-behaviour(application).

-export([start/2, stop/1]).

start(_StartType, _StartArgs) ->
	Port = application:get_env(study_system_server, port, 12888),
	{ok, CertDir} = application:get_env(study_system_server, cert_dir),
	proto_sup:start_link(Port, CertDir).

stop(_State) ->
	ok.
